Run a search with a search template
- POST also GET /{index}/_search/template
- POST also GET /_search/template
Required authorization
- Index privileges read
Query parameters
-
allow_no_indicesboolean · default: true -
If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targetingfoo*,bar*returns an error if an index starts withfoobut no index starts withbar. -
ccs_minimize_roundtripsboolean · default: false -
If
true, network round-trips are minimized for cross-cluster search requests. -
expand_wildcardsstring · default: open -
The type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
explainboolean · default: false -
If
true, the response includes additional details about score computation as part of a hit. -
ignore_throttledboolean · default: truedeprecated -
If
true, specified concrete, expanded, or aliased indices are not included in the response when throttled. -
If
false, the request returns an error if it targets a missing or closed index. -
scrollstring -
Specifies how long a consistent view of the index should be maintained for scrolled search.
- Reference
-
search_type -
The type of the search operation.
Supported values include:
query_then_fetch: Documents are scored using local term and document frequencies for the shard. This is usually faster but less accurate.dfs_query_then_fetch: Documents are scored using global term and document frequencies across all shards. This is usually slower but more accurate.
-
Values:
query_then_fetchdfs_query_then_fetch
Request body
-
explainboolean · default: false -
If
true, returns detailed information about score calculation as part of each hit. If you specify both this and theexplainquery parameter, the API uses only the query parameter. -
idstring -
The ID of the search template to use. If no
sourceis specified, this parameter is required.
Response
-
aggregationsmap string to Aggregation result